<fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">
  <!-- defines the layout master -->
  <fo:layout-master-set>
    <fo:simple-page-master master-name="first" page-height="29.7cm" page-width="21cm" margin-top="1cm" margin-bottom="2cm" margin-left="2.5cm" margin-right="2.5cm">
      <fo:region-body margin-top="1cm" margin-bottom="1.5cm"/>
      <fo:region-before extent="1cm"/>
      <fo:region-after extent="1.5cm"/>
    </fo:simple-page-master>
  </fo:layout-master-set>
  <!-- starts actual layout -->
  <fo:page-sequence master-reference="first">
    <fo:static-content flow-name="xsl-region-after">
      <fo:block text-align="center" font-size="8pt" font-family="serif" line-height="14pt" ><?=_("Erstellt mit Stud.IP")?> <?=$GLOBALS["SOFTWARE_VERSION"]?> - <?=_("Seite")?> <fo:page-number/></fo:block>
      <fo:block text-align="center" font-size="8pt" font-family="serif" line-height="14pt" >
        <fo:basic-link color="blue" external-destination="<?=$GLOBALS["ABSOLUTE_URI_STUDIP"]?>"><?=utf8_encode($GLOBALS["UNI_NAME_CLEAN"])?></fo:basic-link>
      </fo:block>
    </fo:static-content>
    <fo:flow flow-name="xsl-region-body">
      <fo:block font-variant="small-caps" text-align="center" font-size="14pt" font-weight="bold" space-after.optimum="10pt">Kalender vom <?=date("d.m.Y",$von)?> bis zum <?=date("d.m.Y",$bis)?></fo:block>

      <fo:table table-layout="fixed" width="100%" space-after.optimum="10pt">
        <fo:table-column column-width="84mm"/>
        <fo:table-column column-width="33mm"/>
        <fo:table-column column-width="33mm"/>
        <fo:table-body>
          <fo:table-row>
            <fo:table-cell border-bottom-width="0.1mm" border-bottom-style="solid">
              <fo:block font-size="12pt" font-weight="bold">Titel</fo:block>
            </fo:table-cell>
            <fo:table-cell border-bottom-width="0.1mm" border-bottom-style="solid">
              <fo:block font-size="12pt" font-weight="bold">Beginn</fo:block>
            </fo:table-cell>
            <fo:table-cell border-bottom-width="0.1mm" border-bottom-style="solid">
              <fo:block font-size="12pt" font-weight="bold">Ende</fo:block>
            </fo:table-cell>
          </fo:table-row>
<? foreach ($t_dates as $t) : ?>
          <fo:table-row>
            <fo:table-cell border-bottom-width="0.1mm" border-bottom-style="solid">
              <fo:block font-size="10pt"><?=utf8_encode($t->getTitle())?></fo:block>
<? if ($t->getOrt()) : ?>
              <fo:block font-size="7pt"><fo:inline font-weight="bold">Ort: </fo:inline><?=utf8_encode($t->getOrt())?></fo:block>
<? endif ?>
            </fo:table-cell>
            <fo:table-cell border-bottom-width="0.1mm" border-bottom-style="solid">
              <fo:block font-size="8pt"><?=$php_tage_short[date("w",$t->getVon())].". ".date("d.m.Y H:i",$t->getVon())?></fo:block>
            </fo:table-cell>
            <fo:table-cell border-bottom-width="0.1mm" border-bottom-style="solid">
              <fo:block font-size="8pt"><?=$php_tage_short[date("w",$t->getBis())].". ".date("d.m.Y H:i",$t->getBis())?></fo:block>
            </fo:table-cell>
          </fo:table-row>
<? endforeach ?>
        </fo:table-body>
      </fo:table>
  
    </fo:flow>
  </fo:page-sequence>
</fo:root>
