CREATE TABLE `gk_termine` (
`termin_id` varchar( 32 ) NOT NULL ,
`range_id` varchar( 32 ) NOT NULL ,
`user_id` varchar( 32 ) NOT NULL ,
`title` VARCHAR( 255 ) NOT NULL ,
`content` TEXT NULL ,
`date` int( 20 ) NOT NULL default '0',
`end_time` int( 20 ) NOT NULL default '0',
`ort` varchar( 255 ) default NULL ,
`mkdate` INT( 20 ) NOT NULL ,
`chdate` INT( 20 ) NULL ,
`ch_user_id` VARCHAR( 32 ) NULL ,
`color` VARCHAR( 255 ) NOT NULL DEFAULT 'grau' ,
`write_perm` VARCHAR( 20 ) NOT NULL DEFAULT 'autor' ,
`write_perm_group` VARCHAR( 255 ) NOT NULL DEFAULT '' ,
`fulltime` TINYINT( 2 ) NOT NULL DEFAULT '0' ,
`serie_id` VARCHAR( 32 ) NOT NULL DEFAULT '' ,
PRIMARY KEY ( `termin_id` ) ,
KEY `user_id` ( `user_id` ) ,
KEY `range_id` ( `range_id` )
) ENGINE = MYISAM DEFAULT CHARSET = latin1;

CREATE TABLE `gk_config` (
`user_id` VARCHAR( 32 ) NOT NULL ,
`range_id` VARCHAR( 32 ) NOT NULL ,
`start_time` TINYINT( 2 ) NOT NULL DEFAULT '6' ,
`include_sem_dates` TINYINT( 2 ) NOT NULL DEFAULT '0' ,
`only_own_dates` TINYINT( 2 ) NOT NULL DEFAULT '0' ,
`quick_create_date` TINYINT( 2 ) NOT NULL DEFAULT '0' ,
`tag_overlapping_dates` TINYINT( 2 ) NOT NULL DEFAULT '0' ,
`include_tv_dates` TINYINT( 2 ) NOT NULL DEFAULT '1' ,
`include_calendar_dates` TINYINT( 2 ) NOT NULL DEFAULT '1' ,
`start_view` ENUM( 'day', 'week', 'month', 'year' ) NOT NULL DEFAULT 'week' ,
`use_pdf_colors` TINYINT( 2 ) NOT NULL DEFAULT '1' ,
`receive_msg` ENUM( 'never', 'on_create', 'on_update' ) NOT NULL DEFAULT 'never' ,
`sem_date_color` VARCHAR( 255 ) NOT NULL DEFAULT 'grau',
`tv_date_color` VARCHAR( 255 ) NOT NULL DEFAULT 'grau' ,
`cal_date_color` VARCHAR( 255 ) NOT NULL DEFAULT 'grau' ,
PRIMARY KEY ( `user_id` , `range_id` )
) ENGINE = MYISAM ;
